package com.braintree.jalo;

import de.hybris.platform.jalo.JaloSession;
import de.hybris.platform.jalo.extension.ExtensionManager;
import com.braintree.constants.BraintreefulfilmentprocessConstants;

import org.apache.log4j.Logger;

@SuppressWarnings("PMD")
public class BraintreefulfilmentprocessManager extends GeneratedBraintreefulfilmentprocessManager {

    @SuppressWarnings("unused")
    private static final Logger LOG = Logger.getLogger(BraintreefulfilmentprocessManager.class.getName());

    public static final BraintreefulfilmentprocessManager getInstance() {
        ExtensionManager em = JaloSession.getCurrentSession().getExtensionManager();
        return (BraintreefulfilmentprocessManager) em.getExtension(BraintreefulfilmentprocessConstants.EXTENSIONNAME);
    }

}
